// ignore_for_file: sized_box_for_whitespace

import 'package:byod/helper/widget/style.dart';
import 'package:flutter/material.dart';

import '../helper.dart';

Future<dynamic> buttonDialogGlobal(
    BuildContext context,
    String title,
    String description,
    String textOnOk,
    String textOnCancel,
    void Function() ontapOk,
    void Function() ontapCancel,
    {Color okButtonColor = Colors.indigo,
    Color cancelButtonColor = Colors.red}) {
  double widthScreen = responsiveWidthScreen(context);
  return showDialog(
      context: context,
      builder: (BuildContext context) => AlertDialog(
            // title: Text(
            //   textScaleFactor: textScaleFactor,
            //   title,
            //   style: textStyleNormalFont(context),
            // ),
            title: defaultText(
              context,
              title,
              // style: textStyleNormalFont(context),
            ),
            content: SizedBox(
              height: MediaQuery.of(context).size.height * 0.38,
              width: widthScreen * widhtDialog,
              child: Column(
                children: [
                  Container(
                    height: MediaQuery.of(context).size.height * 0.2,
                    child: Align(
                      alignment: Alignment.topLeft,
                      // child: Text(
                      //   description,
                      //   textScaleFactor: textScaleFactor,
                      //   style: textStyleNormalFont(context),
                      //   // style: TextStyle(
                      //   //     fontWeight: FontWeight.w400,
                      //   //     fontSize:
                      //   //         MediaQuery.of(context).size.height * normalFont),
                      // ),
                      child: defaultText(
                        context,
                        description,
                        style: textStyleNormalFont(context),
                      ),
                    ),
                  ),
                  SizedBox(height: MediaQuery.of(context).size.height * 0.01),
                  GestureDetector(
                    onTap: () {
                      ontapOk();
                    },
                    child: Container(
                      height: MediaQuery.of(context).size.height * heightTombol,
                      decoration: BoxDecoration(
                          borderRadius: BorderRadius.circular(roundedButton),
                          color: okButtonColor),
                      child: Align(
                        // child: Text(
                        //   textOnOk,
                        //   textScaleFactor: textScaleFactor,
                        //   // style: TextStyle(
                        //   //   fontWeight: FontWeight.w500,
                        //   //   fontSize:
                        //   //       MediaQuery.of(context).size.height * normalFont,
                        //   //   color: textInButton,
                        //   // ),
                        //   style: textStyleNormalFont(
                        //     context,
                        //     color: textInButton,
                        //   ),
                        // ),
                        child: defaultText(
                          context,
                          textOnOk,
                          style: textStyleNormalFont(
                            context,
                            color: textInButton,
                          ),
                        ),
                      ),
                    ),
                  ),
                  SizedBox(
                    height: MediaQuery.of(context).size.height * 0.02,
                  ),
                  GestureDetector(
                    onTap: () {
                      ontapCancel();
                    },
                    child: Container(
                      height: MediaQuery.of(context).size.height * heightTombol,
                      decoration: BoxDecoration(
                        borderRadius: BorderRadius.circular(roundedButton),
                        color: Colors.transparent,
                      ),
                      child: Align(
                        // child: Text(
                        //   textOnCancel,
                        //   textScaleFactor: textScaleFactor,
                        //   // style: TextStyle(
                        //   //   fontWeight: FontWeight.w500,
                        //   //   fontSize:
                        //   //       MediaQuery.of(context).size.height * normalFont,
                        //   //   color: textInButton,
                        //   // ),
                        //   style: textStyleNormalFont(
                        //     context,
                        //     color: textInButton,
                        //   ),
                        // ),
                        child: defaultText(
                          context,
                          textOnCancel,
                          style: textStyleNormalFont(
                            context,
                            color: textCancelColor,
                          ),
                        ),
                      ),
                    ),
                  )
                ],
              ),
            ),
          ));
}
